[Git][ghc/ghc][wip/fix-multi-repl] fix!

Matthew Pickering (@mpickering) gitlab at gitlab.haskell.org
Fri Sep 30 18:26:56 UTC 2022



Matthew Pickering pushed to branch wip/fix-multi-repl at Glasgow Haskell Compiler / GHC


Commits:
3150b008 by Matthew Pickering at 2022-09-30T19:26:48+01:00
fix!

- - - - -


1 changed file:

- hadrian/ghci-multi-cabal.in


Changes:

=====================================
hadrian/ghci-multi-cabal.in
=====================================
@@ -1,7 +1,7 @@
 #!/usr/bin/env sh
 
-GHC=@WithGhc@
-if [[ $(printf "9.4.0\n%s\n" $($GHC --numeric-version) | sort -uV | head -n 1) != "9.4.0" ]]; then echo "Multi-repl needs at least GHC-9.4.1"; exit 1; fi
+RUN_GHC=@WithGhc@
+if [[ $(printf "9.4.0\n%s\n" $($RUN_GHC --numeric-version) | sort -uV | head -n 1) != "9.4.0" ]]; then echo "Multi-repl needs at least GHC-9.4.1"; exit 1; fi
 
 # This file is generated by configure from ghci-multi.in
 
@@ -10,4 +10,4 @@ export TOOL_OUTPUT=.hadrian_ghci_multi/ghci_args
 # Replace newlines with spaces, as these otherwise break the ghci invocation on windows.
 CABFLAGS=-v0 "hadrian/build-cabal" multi:ghc --build-root=.hadrian_ghci_multi --flavour=ghc-in-ghci $HADRIAN_ARGS
 GHC_FLAGS="$GHC_FLAGS $(cat $TOOL_OUTPUT | tr '\n\r' ' ')"
-$GHC --interactive $GHC_FLAGS $@ -fno-code -fwrite-interface -O0 +RTS -A128m
+$RUN_GHC --interactive $GHC_FLAGS $@ -fno-code -fwrite-interface -O0 +RTS -A128m



View it on GitLab: https://gitlab.haskell.org/ghc/ghc/-/commit/3150b008269e038d59049de63caaa74610506605

-- 
View it on GitLab: https://gitlab.haskell.org/ghc/ghc/-/commit/3150b008269e038d59049de63caaa74610506605
You're receiving this email because of your account on gitlab.haskell.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/ghc-commits/attachments/20220930/50a1c78c/attachment-0001.html>


More information about the ghc-commits mailing list